clear all
load p103
load tableb06
TK=TC+273.15;
Trec=1./TK;
logP=log10(P);
[a S]=polyfit(Trec,logP,1);
Tplot=(2.80:0.1:4.30)*1e-3;
Pplot=polyval(a,Tplot);
Pcal=polyval(a,Trec);
err=logP-Pcal;
var=S.normr^2/S.df;
sigma=sqrt(var);
X=S.R;
alpha=diag(inv(X'*X));
confintv=sqrt(alpha*sigma)*t(S.df);
format long
disp('     Coefficient       Confidence Interval')
disp([a', confintv]);
format short
figure(1)
plot(Tplot,Pplot,Trec,logP,'o')
xlabel('1/T [1/K]');
ylabel('log P');
figure(2)
plot(logP,err,'o',[0:0.1:3],zeros(size(0:0.1:3)));
xlabel('log P');
ylabel('error');
