clear all
load p103
load tableb06
dof=size(TC,1)-4;
TK=TC+273.15;
Trec=1./TK;
logT=log10(TK);
T2=TK.^2;
I=ones(size(TK));
logP=log10(P);
X(:,1)=I;
X(:,2)=Trec;
X(:,3)=logT;
X(:,4)=T2;
B=logP;
a=X\B;
logPcal=X*a;
Pcal=10.^(logPcal);
TP=[220:375]';
TPrec=1./TP;
logTP=log10(TP);
TP2=TP.^2;
IP=ones(size(TP));
logP=log10(P);
XP(:,1)=IP;
XP(:,2)=TPrec;
XP(:,3)=logTP;
XP(:,4)=TP2;
PP=10.^(XP*a);
err=logP-logPcal;
var=err'*err/dof;
sigma=sqrt(var);
alpha=diag(inv(X'*X));
confintv=sqrt(alpha*sigma)*t(dof);
format long
disp('     Coefficient       Confidence Interval')
disp([a, confintv]);
format short
figure(1)
plot(TP,PP,TK,P,'o')
xlabel('Absolute Temperature [K]');
ylabel('Vapor Pressure [mmHg]');
figure(2)
plot(logP,err,'o',[0:0.1:3],zeros(size(0:0.1:3)));
xlabel('log P');
ylabel('error');
